<?php

class SQL {
	var $file;

	var $resource;

	function SQL($f){
		$this->file = $f;
	}

	function connect(){
		// Connect to the server
		$this->resource = sqlite_open($this->file);
	}

	function disconnect(){
		// Disconnect from the server
		sqlite_close($this->resource);
	}
	
	function query($sql, $error="Unknown error"){
		$result = sqlite_query($this->resource, $sql)
			or die("SQLite Error: <strong>" . $error . "</strong>");
			
		return $result;
	}

	function query_exec($sql, $error="Unknown error"){
		sqlite_exec($this->resource, $sql)
			or die("SQLite Error: <strong>" . $error . "</strong>");
	}
}

?>
